--- title: "Register media asset" slug: "mi-create-assets" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/mi-create-assets" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Register media asset Available in VPC Add a media file uploaded to an Object Storage bucket to a project. Media analysis can be performed after the registration of media assets is confirmed. The detailed workflow is as follows: ![maiu-create-assets_workflow](https://cdn.document360.io/da0368a0-4444-4862-a528-42f78876f9e6/Images/Documentation/maiu-create-assets_workflow.png?sv=2026-02-06&spr=https&st=2026-11-14T05%3A26%3A21Z&se=2026-11-14T06%3A26%3A21Z&sr=c&sp=r&sig=dfYQeyrvfJGFeAdcEDOiojJ5X0CBR6WNBBV8bQNPztA%3D) ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/import/object-storage | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `key` | String | Required | Full file name of media uploaded to Object Storage - Video analysis supported formats - Resolution: 360p-1080p (720p recommended) - Length: 6 hours - File size: 10 GB - File format: MP4, MKV, MOV, WebM - Image analysis supported formats - Resolution: Minimum 360px, maximum 1080px - File size: 10 MB - File format: JPG, PNG, HEIC (HEIC files require conversion to JPG, which may increase analysis time.) - Example: `sample-video.mp4`, `image.png` | | `bucketName` | String | Required | Object Storage bucket name | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/import/object-storage' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "key": "sample-video.mp4", "bucketName": "my-storage-bucket" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Media asset details | | `result.assetId` | Integer | - | Media asset ID | | `result.createUserName` | String | - | User name that registered the media asset | | `result.createdTime` | String | - | Media asset registration date and time - ISO 8601 format | | `result.updateUserName` | String | - | User name who last edited the media asset | | `result.updatedTime` | String | - | Media asset last modification date and time - ISO 8601 format | ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "assetId": 1234, "createUserName": "username", "createdTime": "2025-04-23T16:49:23.885456721", "updateUserName": "username", "updatedTime": "2025-04-23T16:49:23.885456721" } } ```